Subject: Re: [trill] Alvaro Retana's Discuss on draft-ietf-trill-rfc6439bis-04: (with DISCUSS)

From: Donald Eastlake <[email-masked]>
Date: Fri, 10 Mar 2017 23:53:30 -0500

H Alvaro,

Could you look at version -05 which is intended to resolve your
DISCUSS as discussed below.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Tue, Feb 21, 2017 at 2:33 PM, Donald Eastlake <[email-masked]> wrote:
> Hi Alvaro,
>
> On Thu, Jan 19, 2017 at 9:18 AM, Alvaro Retana (aretana)
> <[email-masked]> wrote:
>> Donald:
>>
>> Hi!
>>
>> I am not concerned about the case you described below: where the source and
>> destination are attached to the same switch.  Nor am I concerned about
>> transit TRILL data packets.
>
> OK. I guess I was mislead by your reference to the IS-IS standard that
> a router in overload "shall not" be considered for transit. I thought
> that your comment had to do with building shortest cost paths which is
> not particularly relevant here.
>
>> I am concerned about the case where the other end stations are not attached
>> to any of the local switches, but are somewhere else in the campus (or the
>> mixed case where some of the other end stations are attached to an
>> overloaded switch, but others are elsewhere).  In that case, if I am not
>> missing anything, the appointed forwarder for the local link will accept the
>> native frame and will have to send a TRILL Data Packet across the campus –
>> the information to do that may not be available if the switch is overloaded.
>
> Yes. The case you cite is one where the designated router really, as
> the draft says, SHOULD NOT appoint the router in overload as appointed
> forwarder. (Note that if it violates this "SHOULD NOT" the appointed
> forwarder becomes, as far as IS-IS routing is concerned, a source and
> sink, not a transit node.) But, in any case, it may be that the
> designated router on the link is the only router on the link and is in
> overload or it may be that all the routers on the link are in
> overloaded or it may be the case I cite where the best routed to
> appointer forwarder for VLAN-x is one that is in overload because all
> the end stations in VLAN-x are attached to that router. So there are
> plenty of cases where either it is a good idea or is unavoidable to
> appoint a router in overload as the appointed forwarder for some VLAN.
> You ask for the reason the draft says "SHOULD NOT" rather than "MUST
> NOT" and that's the reason.
>
> I can make some changes to Section 2.4 to try to clarify this.
>
> Thanks,
> Donald
> ===============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street, Milford, MA 01757 USA
>  [email-masked]
>
>> Thanks!
>> Alvaro.
>>
>>
>>
>> On 1/18/17, 11:43 PM, "Donald Eastlake" <[email-masked]> wrote:
>>
>>
>>
>> Hi Alvaro,
>>
>>
>>
>> On Wed, Jan 18, 2017 at 3:32 PM, Alvaro Retana <[email-masked]> wrote:
>>
>> Alvaro Retana has entered the following ballot position for
>>
>> draft-ietf-trill-rfc6439bis-04: Discuss
>>
>>
>>
>> When responding, please keep the subject line intact and reply to all
>>
>> email addresses included in the To and CC lines. (Feel free to cut this
>>
>> introductory paragraph, however.)
>>
>>
>>
>> ----------------------------------------------------------------------
>>
>> DISCUSS:
>>
>> ----------------------------------------------------------------------
>>
>>
>>
>> Section 2.4 (Overload and Appointed Forwarders) talks about potential
>>
>> Appointed Forwarders which are overloaded.  In IS-IS, a node with the
>>
>> overload bit set "shall not" (ISO 10589) be considered for transit.
>>
>> However, the use of "SHOULD NOT appoint an RBridge in overload" and
>>
>> "SHOULD re-assign VLANs from the overloaded RBridge" leaves a potential
>>
>> hole in the proper forwarding of TRILL data packers.  Why aren't MUST
>>
>> NOT/MUST used?  Is there something in the specific use of IS-IS by TRILL
>>
>> that I am missing?
>>
>>
>>
>> The Appointed Forwarder function has to do with accepting frames from
>>
>> end stations for ingress and egressing frames to end stations. It does
>>
>> not have anything to do with TRILL Data packet transit routing.
>>
>>
>>
>> Consider the following case: two TRILL switches (RBridges) RB1 and RB2
>>
>> are connected by a link L1 that also has end stations on it. The end
>>
>> stations are all in VLAN X. There are other end stations in VLAN X in
>>
>> the TRILL campus not on L1 but all of these other end stations are
>>
>> directly connected to RB2. RB2 is in overload.
>>
>>
>>
>> Under these circumstances, RB2 should be the Appointed Forwarder for
>>
>> VLAN X as that way traffic between all of the VLAN X end stations can
>>
>> be forwarded by RB2 without any IS-IS routing at all. RB2 will just
>>
>> be, in effect, forwarding native frames between RB2 ports (although,
>>
>> for consistency, the TRILL specifications say that RB2 ingresses this
>>
>> VLAN X traffic by encapsulating it into a TRILL Data frame, and then
>>
>> notices it is destined for an end station on a local port, immediately
>>
>> decapsulates it, and sends it out that port).
>>
>>
>>
>> I think this should be an easy DISCUSS to clear; either point to the
>>
>> piece I'm missing, or don't use an overloaded node.
>>
>>
>>
>> Thanks,
>>
>> Donald
>>
>> ===============================
>>
>> Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>>
>> 155 Beaver Street, Milford, MA 01757 USA
>>
>> [email-masked]
>>
>>

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Tue, 21 Mar 2017 16:17:32 +0000

Donald:

Thanks for the clarification.

I just cleared.

Alvaro.

On 3/11/17, 5:53 AM, "Donald Eastlake" <[email-masked]> wrote: